from flask import (
    Blueprint, flash, g, redirect, render_template, request, url_for
)
from werkzeug.exceptions import abort

from app.db import get_db

bp = Blueprint('admin_insert', __name__)

@bp.route('/admin_insert', methods=('GET', 'POST'))
def admin():
    if request.method == 'POST':
        eName = request.form['eName']
        office = request.form['oficina']

        db = get_db()
        db.execute(
            'INSERT INTO station (nombre_empleado, oficina, last_turn)'
            ' VALUES (?, ?, ?)',
            (eName, office, 0)
        )
        db.commit()
        return redirect(url_for('admin_insert'))

    return render_template('admin_insert.html')